Veo 3.1
Integrace
veo3.1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/cs/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veo3.1",
"input": {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}
}
Volejte model Veo 3.1 (veo3.1) prostřednictvím Doitong API. Dokumentace pro agenty: https://doitong.com/cs/developers/models/veo3.1.md
POST https://api.doitong.ru/v1/run/veo3.1?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}
Pokud je stav odpovědi "queued" nebo "running", dotazujte GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20, dokud nebude "succeeded"; soubory jsou v outputs[].url. POST https://api.doitong.ru/v1/quote/veo3.1 se stejným tělem vrátí přesnou cenu před spuštěním.
Tento požadavek: 0,80 $ 800 kreditů API · ≈ 84,37 ₽ Spustit na této stránce
Váš nový API klíč. Zobrazuje se pouze nyní a už je vložen do kódu a do pole API klíč níže. Uchovávejte ho v tajnosti: nikdy ho nevkládejte do kódu, který se spouští v prohlížeči.
Příklady
Prompt{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }
Sestavit požadavek
Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.
/run/veo3.1?wait=20
cena → 0,80 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veo3.1?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": False,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veo3.1",
"input": {
"prompt": "{\n \"shot\": {\n \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n \"lens\": \"35mm\",\n \"frame_rate\": \"24fps\",\n \"camera_movement\": \"static\"\n },\n\n \"subject\": {\n \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n \"wardrobe\": \"\",\n \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n },\n\n \"scene\": {\n \"location\": \"large, clear industrial factory floor\",\n \"time_of_day\": \"midday\",\n \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n },\n\n \"visual_details\": {\n \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n \"hair_clothing_motion\": \"\"\n },\n\n \"cinematography\": {\n \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n },\n\n \"audio\": {\n \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n \"ambient\": \"deep factory hum, subtle air movements\",\n \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n },\n\n \"dialogue\": {\n \"character\": \"\",\n \"line\": \"\",\n \"subtitles\": false\n }\n}",
"duration": "4s",
"resolution": "720p",
"generate_audio": false
},
"wait_seconds": 20
}
}
}
Spustit tento požadavek
Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API
Vytvořeno na Doitong
Veřejná díla vytvořená komunitou Doitong pomocí Veo 3.1. Znovu použijte prompt jedním kliknutím.
Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Главный герой открывает дверь и попадает в розовый сказочный HR-мир. Камера показывает пони, сердечки, блестящие облачка, розовый свет и всё вокруг как будто сделано из милоты. В центре появляется бимбо-глава HR — очень гламурная, в розовом, с идеальной внешностью и ярким макияжем. Она дружелюбно...
Главный герой открывает дверь и оказывается в гигантском мире Minecraft-like. Камера показывает бесконечные фермы, механизмы, падающие ресурсы, мобов, редстоун и автоматизацию. На переднем плане стоит глава отдела фарма — квадратный парень с мотыгой в руках. Он разворачивается к герою и жестом...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Камера показывает рабочую жизнь HR-отдела: одна сотрудница катается на кресле, кто-то берёт подушку Кати, несколько человек сидят и увлечённо болтают, другие пьют чай и кушают, и всё это происходит так, будто это стратегическая работа мирового уровня. Глава HR стоит посреди этого хаоса и с милой...
Кинематографичная сцена в современном офисном коридоре. Главный герой стоит напротив четырёх огромных дверей, каждая из которых выглядит как вход в отдельную вселенную. Над дверями большими буквами написано: Разработка, Маркетинг, HR, Фарм. Сначала камера показывает героя со спины или в...
Глава фарма ведёт главного героя по своему миру и показывает, как устроены фермы и процессы. Затем он указывает на отдельную часть системы, где визуально показана новая схема выдачи аккаунтов по новым гео. Вокруг двигаются механизмы, работают фермы, падает дроп, всё автоматизировано и работает...
Камера показывает гигантского киберпанк-робота в мире серверов. Робот медленно выходит из темноты, на нём современное худи, широкие штаны, в руке электронка, от него идёт холодное неоновое свечение. Глава разработки с гордостью презентует его главному герою, жестом показывая на робота. Робот...
создай видео для хронометража 00:28 - 00:32 сценарий без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в платье и шубе в лес, мы видим ее убегающий силуэт Волчица не дает всадником...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в лес, мы видим ее убегающий силуэт Волчица...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается к нам спиной и убегает в лес, мы видим ее убегающий силуэт Волчица...
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Девушка разворачивается спиной и убегает в лес Волчица бросается на всадников они отступают
создай видео для хронометража 00:28 - 00:32 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд Используй референс **[0:28 - 0:32] Блок 8: Кульминация *Видеоряд:* Всадники увидели девушку с волчицей и хорьком и окружили их. Девушка выходит из укрытия....
создай видео для хронометража 00:24 - 00:28 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд --- Вот подробный сценарий для вирального короткого видео (Reels/TikTok/Shorts) в эстетике «российской хтони» и дарк-фолка. **Концепция:** Мрачная,...
создай видео для хронометража 00:24 - 00:28 сценарий примерный, можно отклоняться в safe, без букв персонаж не говорит, это только видеоряд --- Вот подробный сценарий для вирального короткого видео (Reels/TikTok/Shorts) в эстетике «российской хтони» и дарк-фолка. **Концепция:** Мрачная,...
O modelu Veo 3.1
Veo 3.1 vytváří vysoce realistické záběry s dialogy synchronizovanými se rty, okolním zvukem a hudbou generovanými v jednom průchodu a přesně dodržuje pokyny pro kameru a osvětlení. Klipy mají 4, 6 nebo 8 sekund, na šířku nebo na výšku, v rozlišení 720p, 1080p nebo 4K. Zvuk lze vypnout za nižší cenu.
Parametry
promptpovinné
aspect_ratiovolitelné
durationvolitelné
negative_promptvolitelné
resolutionvolitelné
generate_audiovolitelné
seedvolitelné
auto_fixvolitelné
safety_tolerancevolitelné
Výstup
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veo3.1",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 800,
"usd": "0.80",
"charged": 800,
"refunded": 0
},
"input": {
"prompt": "A street interviewer in New York asks a passer-by \"Did you hear the news?\" and she laughs \"Everyone has!\"",
"duration": 8,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Pole výstupu
- video
- object {url, content_type, file_name, file_size}Video vytvořené modelem.
Další varianty Veo 3.1
Další modely: Text na video
Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/veo3.1.md. Všechny modely a návody: https://doitong.com/developers/llms.txt